Farid1986
Enthusiast
Enthusiast

The transaction is not supported: File to be removed/installed is overlaid by existing vib

Jump to solution

After update esxi 7 host to build 16850804 i can not patch this host to 17168206 it give me error : the host returns esxupdate error codes 1 check the lifecycle manager log,  in log I see: The transaction is not supported: File to be removed/installed is overlaid by existing vib, I tried update with out vcenter it give me same error

Снимок.PNG

 
 

 

 
 
 
 
 
 
 
Tags (1)
1 Solution

Accepted Solutions
Farid1986
Enthusiast
Enthusiast

Working only directly update with boot usb

View solution in original post

0 Kudos
20 Replies
ashilkrishnan
VMware Employee
VMware Employee

Hi @Farid1986 ,

Please check if we have sufficient amount of free space. /var/run/log/esxupdate.log should provide more information

Farid1986
Enthusiast
Enthusiast

in this location /var/run/log/esxupdate.log I see same error 

system placed on sd card 

 

sd.PNG

ChristN
Contributor
Contributor

I to am having this exact same error message with the same versions also.

Storage is no problem as there is plenty of free space 

[root@hvs03:~] df -h
Filesystem  Size   Used Available Use% Mounted on
VMFS-L     51.5G   1.6G     49.9G   3% /vmfs/volumes/LOCKER-5fd9c5bc-72ab0c10-92ca-b026281280be
vfat        4.0G 171.0M      3.8G   4% /vmfs/volumes/BOOTBANK1
vfat        4.0G 180.1M      3.8G   4% /vmfs/volumes/BOOTBANK2

 

Build 16850804 was installed using the Dell custom ISO (Dell R640 server)
My system is managed using VCSA (and lifecycle manager).

I found something that might be interesting in the logs though:

2020-12-17T11:12:06Z esxupdate: 2102216: vmware.runcommand: INFO: runcommand called with: args = '['/usr/lib/vmware/vob/bin/addvob', 'vob.user.esximage.install.stage.error', '(Updated) DEL-ESXi-701_16850804-A00', 'The transaction is not supported: File to be removed/installed is overlaid by existing VIB : /etc/vmware/support VIB VMware_bootbank_vsan_7.0.1-0.15.17168206 cannot be live installed. VIB VMware_bootbank_esx-base_7.0.1-0.15.17168206 cannot be live installed. VIB VMware_bootbank_cpu-microcode_7.0.1-0.15.17168206 cannot be live installed. VIB VMware_bootbank_gc_7.0.1-0.15.17168206 cannot be live installed. VIB VMware_bootbank_esx-update_7.0.1-0.15.17168206 cannot be live installed. VIB VMware_bootbank_native-misc-drivers_7.0.1-0.15.17168206 cannot be live installed. VIB VMware_bootbank_esx-base_7.0.1-0.0.16850804 cannot be removed live. VIB VMware_bootbank_gc_7.0.1-0.0.16850804 cannot be removed live. VIB
2020-12-17T11:12:06Z esxupdate: VMware_bootbank_esx-update_7.0.1-0.0.16850804 cannot be removed live. VIB VMware_bootbank_esx-dvfilter-generic-fastpath_7.0.1-0.0.16850804 cannot be removed live. VIB VMware_bootbank_cpu-microcode_7.0.1-0.0.16850804 cannot be removed live. VIB VMware_bootbank_vsan_7.0.1-0.0.16850804 cannot be removed live. VIB VMware_bootbank_native-misc-drivers_7.0.1-0.0.16850804 cannot be removed live.']', outfile = 'None', returnoutput = 'True', timeout = '0.0'.
2020-12-17T11:12:06Z esxupdate: 2102216: esxupdate: ERROR: An esxupdate error exception was caught:
2020-12-17T11:12:06Z esxupdate: 2102216: esxupdate: ERROR: Traceback (most recent call last):
2020-12-17T11:12:06Z esxupdate: 2102216: esxupdate: ERROR:   File "/usr/sbin/esxupdate", line 238, in main
2020-12-17T11:12:06Z esxupdate: 2102216: esxupdate: ERROR:     cmd.Run()
2020-12-17T11:12:06Z esxupdate: 2102216: esxupdate: ERROR:   File "/build/mts/release/bora-16850804/bora/build/esx/release/vmvisor/esxupdate/lib64/python3.5/site-packages/vmware/esx5update/Cmdline.py", line 152, in Run
2020-12-17T11:12:06Z esxupdate: 2102216: esxupdate: ERROR:   File "/build/mts/release/bora-16850804/bora/build/esx/release/vmvisor/esxupdate/lib64/python3.5/site-packages/vmware/esximage/Transaction.py", line 879, in InstallVibsFromSources
2020-12-17T11:12:06Z esxupdate: 2102216: esxupdate: ERROR:   File "/build/mts/release/bora-16850804/bora/build/esx/release/vmvisor/esxupdate/lib64/python3.5/site-packages/vmware/esximage/Transaction.py", line 1048, in _installVibs
2020-12-17T11:12:06Z esxupdate: 2102216: esxupdate: ERROR:   File "/build/mts/release/bora-16850804/bora/build/esx/release/vmvisor/esxupdate/lib64/python3.5/site-packages/vmware/esximage/Transaction.py", line 1204, in _validateAndInstallProfile
2020-12-17T11:12:06Z esxupdate: 2102216: esxupdate: ERROR:   File "/build/mts/release/bora-16850804/bora/build/esx/release/vmvisor/esxupdate/lib64/python3.5/site-packages/vmware/esximage/HostImage.py", line 956, in Stage
2020-12-17T11:12:06Z esxupdate: 2102216: esxupdate: ERROR: vmware.esximage.Errors.StatelessError: The transaction is not supported: File to be removed/installed is overlaid by existing VIB : /etc/vmware/support VIB VMware_bootbank_vsan_7.0.1-0.15.17168206 cannot be live installed. VIB VMware_bootbank_esx-base_7.0.1-0.15.17168206 cannot be live installed. VIB VMware_bootbank_cpu-microcode_7.0.1-0.15.17168206 cannot be live installed. VIB VMware_bootbank_gc_7.0.1-0.15.17168206 cannot be live installed. VIB VMware_bootbank_esx-update_7.0.1-0.15.17168206 cannot be live installed. VIB VMware_bootbank_native-misc-drivers_7.0.1-0.15.17168206 cannot be live installed. VIB VMware_bootbank_esx-base_7.0.1-0.0.16850804 cannot be removed live. VIB VMware_bootbank_gc_7.0.1-0.0.16850804 cannot be removed live. VIB VMware_bootbank_esx-update_7.0.1-0.0.16850804 cannot be removed live. VIB VMware_bootbank_esx-dvfilter-generic-fast
2020-12-17T11:12:06Z esxupdate: path_7.0.1-0.0.16850804 cannot be removed live. VIB VMware_bootbank_cpu-microcode_7.0.1-0.0.16850804 cannot be removed live. VIB VMware_bootbank_vsan_7.0.1-0.0.16850804 cannot be removed live. VIB VMware_bootbank_native-misc-drivers_7.0.1-0.0.16850804 cannot be removed live.
2020-12-17T11:12:06Z esxupdate: 2102216: esxupdate: DEBUG: <<<

 

 If anybody has some ingo to get this resolved that would be appreciated!

NipponExpressGm
Contributor
Contributor

Hello,

 

we have the same errors

Dell R740, ESXi 7.0.1, 17168206

30.12.2020, 10:37:47 Image-Profil „(Updated) DEL-ESXi-700_16324942-A03“ konnte nicht bereitgestellt werden: The transaction is not supported: File to be removed/installed is overlaid by existing VIB : /etc/vmware/support VIB QLC_bootbank_qcnic_2.0.57.0-1OEM.700.1.0.15843807 cannot be live installed. VIB Marvell_bootbank_qlnativefc_4.1.22.0-1OEM.700.1.0.15843807 cannot be live installed. VIB INT_bootbank_igbn_1.5.1.0-1OEM.700.1.0.15843807 cannot be live installed. VIB INT_bootbank_icen_1.3.3.0-1OEM.700.1.0.15843807 cannot be live installed. VIB BCM_bootbank_bnxtroce_216.0.67.0-1OEM.700.1.0.15843807 cannot be live installed. VIB QLC_bootbank_qfle3_1.4.12.0-1OEM.700.1.0.15843807 cannot be live installed. VIB BCM_bootbank_bnxtnet_216.0.78.0-1OEM.700.1.0.15843807 cannot be live installed. VIB VMware_bootbank_native-misc-drivers_7.0.1-0.25.17325551 cannot be live installed. VIB INT_bootbank_intel-nvme-vmd_2.0.0.1146-1OEM.700.1.0.15843807 cannot be live installed. VIB VMware_bootbank_cpu-microcode_7.0.1-0.25.17325551 cannot be live installed. VIB BCM_bootbank_lsi-mr3_7.715.03.00-1OEM.700.1.0.15843807 cannot be live installed. VIB QLC_bootbank_qfle3f_2.1.14.0-1OEM.700.1.0.15843807 cannot be live installed. VIB Cisco_bootbank_nfnic_4.0.0.56-1OEM.670.0.0.8169922 cannot be live installed. VIB QLC_bootbank_qedf_2.2.38.0-1OEM.700.1.0.15843807 cannot be live installed. VIB VMware_bootbank_esx-update_7.0.1-0.25.17325551 cannot be live installed. VIB VMware_bootbank_vsan_7.0.1-0.25.17325551 cannot be live installed. VIB EMU_bootbank_lpfc_12.8.340.12-1OEM.700.1.0.15843807 cannot be live installed. VIB VMW_bootbank_vmkusb_0.1-1vmw.701.0.25.17325551 cannot be live installed. VIB VMW_bootbank_smartpqi_70.4000.0.100-4vmw.701.0.25.17325551 cannot be live installed. VIB VMW_bootbank_vmkfcoe_1.0.0.2-1vmw.701.0.20.17325020 cannot be live installed. VIB Cisco_bootbank_nenic_1.0.33.0-1OEM.670.0.0.8169922 cannot be live installed. VIB QLC_bootbank_qedentv_3.40.26.0-1OEM.700.1.0.15843807 cannot be live installed. VIB VMware_bootbank_gc_7.0.1-0.25.17325551 cannot be live installed. VIB VMware_bootbank_esx-base_7.0.1-0.25.17325551 cannot be live installed. VIB BCM_bootbank_lsi-msgpt35_16.00.00.00-1OEM.700.1.0.15843807 cannot be live installed. VIB QLC_bootbank_qedrntv_3.40.26.0-1OEM.700.1.0.15843807 cannot be live installed. VIB INT_bootbank_i40en-ens_1.2.7.0-1OEM.700.1.0.15843807 cannot be live installed. VIB VMW_bootbank_nvmerdma_1.0.1.2-1vmw.701.0.20.17325020 cannot be live installed. VIB VMW_bootbank_vmkata_0.1-1vmw.701.0.25.17325551 cannot be live installed. VIB QLC_bootbank_qedi_2.19.37.0-1OEM.700.1.0.15843807 cannot be live installed. VIB EMU_bootbank_brcmnvmefc_12.8.329.0-1OEM.700.1.0.15843807 cannot be live installed. VIB VMW_bootbank_nhpsa_70.0051.0.100-2vmw.701.0.25.17325551 cannot be live installed. VIB QLC_bootbank_qfle3_1.4.8.0-1OEM.700.1.0.15843807 cannot be removed live. VIB INT_bootbank_i40en-ens_1.1.3-1OEM.670.0.0.8169922 cannot be removed live. VIB VMware_bootbank_gc_7.0.1-0.15.17168206 cannot be removed live. VIB VMware_bootbank_vsan_7.0.1-0.15.17168206 cannot be removed live. VIB BCM_bootbank_bnxtnet_216.0.72.0-1OEM.700.1.0.15525992 cannot be removed live. VIB VMW_bootbank_nenic_1.0.29.0-2vmw.701.0.0.16850804 cannot be removed live. VIB VMware_bootbank_esx-base_7.0.1-0.15.17168206 cannot be removed live. VIB QLC_bootbank_qedf_2.2.8.0-1OEM.700.1.0.15843807 cannot be removed live. VIB VMware_bootbank_cpu-microcode_7.0.1-0.15.17168206 cannot be removed live. VIB VMW_bootbank_icen_1.0.0.9-1vmw.701.0.0.16850804 cannot be removed live. VIB VMW_bootbank_lpfc_12.6.278.10-8vmw.701.0.0.16850804 cannot be removed live. VIB VMW_bootbank_nvmerdma_1.0.1.2-1vmw.701.0.0.16850804 cannot be removed live. VIB BCM_bootbank_lsi-mr3_7.713.08.00-1OEM.700.1.0.15843807 cannot be removed live. VIB QLC_bootbank_qedi_2.19.9.0-1OEM.700.1.0.15843807 cannot be removed live. VIB VMW_bootbank_vmkfcoe_1.0.0.2-1vmw.701.0.0.16850804 cannot be removed live. VIB VMware_bootbank_esx-update_7.0.1-0.15.17168206 cannot be removed live. VIB Cisco_bootbank_nfnic_4.0.0.52-1OEM.670.0.0.8169922 cannot be removed live. VIB VMW_bootbank_iavmd_2.0.0.1055-5vmw.701.0.0.16850804 cannot be removed live. VIB VMW_bootbank_vmkusb_0.1-1vmw.701.0.0.16850804 cannot be removed live. VIB VMware_bootbank_esx-dvfilter-generic-fastpath_7.0.1-0.15.17168206 cannot be removed live. VIB VMW_bootbank_brcmnvmefc_12.6.278.10-3vmw.701.0.0.16850804 cannot be removed live. VIB QLC_bootbank_qedentv_3.40.19.0-1OEM.700.1.0.15843807 cannot be removed live. VIB Marvell_bootbank_qlnativefc_4.1.14.0-1OEM.700.1.0.15843807 cannot be removed live. VIB VMware_bootbank_native-misc-drivers_7.0.1-0.15.17168206 cannot be removed live. VIB BCM_bootbank_lsi-msgpt35_15.00.00.00-1OEM.700.1.0.15843807 cannot be removed live. VIB QLC_bootbank_qfle3f_2.1.9.0-1OEM.700.1.0.15843807 cannot be removed live. VIB BCM_bootbank_bnxtroce_216.0.65.0-1OEM.700.1.0.15525992 cannot be removed live. VIB VMW_bootbank_nhpsa_70.0050.0.100-1vmw.701.0.0.16850804 cannot be removed live. VIB INT_bootbank_igbn_1.4.11.0-1OEM.700.1.0.15525992 cannot be removed live. VIB VMW_bootbank_smartpqi_70.4000.0.100-3vmw.701.0.0.16850804 cannot be removed live.

 

 

sysadmin84
Enthusiast
Enthusiast

double-post

0 Kudos
sysadmin84
Enthusiast
Enthusiast

Same here. I successfully upgraded three hosts (2x Dell r740, 1x Dell r740xd) from ESXi 6.7 to 7u1. Now I am trying to apply the newest patches, which worked on the r740xd but on the r740 hosts I get this error:

 

 

01/08/2021, 11:25:11 AM Could not stage image profile '(Updated) DEL-ESXi-701_16850804-A00': The transaction is not supported: File to be removed/installed is overlaid by existing VIB : /etc/vmware/support VIB VMware_bootbank_esx-base_7.0.1-0.20.17325020 cannot be live installed. VIB VMware_bootbank_esx-update_7.0.1-0.20.17325020 cannot be live installed. VIB VMware_bootbank_cpu-microcode_7.0.1-0.20.17325020 cannot be live installed. VIB VMware_bootbank_native-misc-drivers_7.0.1-0.20.17325020 cannot be live installed. VIB VMware_bootbank_gc_7.0.1-0.20.17325020 cannot be live installed. VIB VMware_bootbank_vsan_7.0.1-0.20.17325020 cannot be live installed. VIB VMware_bootbank_vsan_7.0.1-0.0.16850804 cannot be removed live. VIB VMware_bootbank_esx-update_7.0.1-0.0.16850804 cannot be removed live. VIB VMware_bootbank_cpu-microcode_7.0.1-0.0.16850804 cannot be removed live. VIB VMware_bootbank_gc_7.0.1-0.0.16850804 cannot be removed live. VIB VMware_bootbank_esx-base_7.0.1-0.0.16850804 cannot be removed live. VIB VMware_bootbank_esx-dvfilter-generic-fastpath_7.0.1-0.0.16850804 cannot be removed live. VIB VMware_bootbank_native-misc-drivers_7.0.1-0.0.16850804 cannot be removed live.

 

 

 

The r740 hosts (unlike the r740xd) have ESXi installed on an SD card (Dell IDSM). Here's some info on their storage:

Disks:

disks.png

Partitions:

volumes.png

I tried rebooting the hosts and only apply critical host security patches instead without success.

0 Kudos
ChristN
Contributor
Contributor

All 3 of our R640 servers are also running from SD card.

Maybe we found a common cause?
Now it would be great if it could be resolved as well.

0 Kudos
NipponExpressGm
Contributor
Contributor

I could solve the problem for me.

I rebooted the ESXis and he falls back to 7.0.0 xxxx. After that all ESXis were not managed by the vcenter, so status was offline.

I removed the esxis and added them again to the vcenter.

After that I installed again the Updates to 7.0.1 xxxx and now it works.

 

Greetings.

0 Kudos
ChristN
Contributor
Contributor

For me that didn't help unfortunately.

During one of my tries it indeed reverted back during reboot (failsafe booting). Though after I still can't get it to the latest updates with the same errors again.

 

0 Kudos
Farid1986
Enthusiast
Enthusiast

Working only directly update with boot usb

0 Kudos
sysadmin84
Enthusiast
Enthusiast

Can you guys check if you are able to update VMWare Tools for VMs on the affected hosts via vSphere. They're missing the ISOs on my end (as with the other problem, only the r740 hosts are affected, not the r740xd since the upgrade to 7.0u1)

 

Unable to install VMware Tools. An error occurred while trying to access image file "/usr/lib/vmware/isoimages/linux.iso" needed to install VMware Tools: 2 (No such file or directory). Please refer the product documentation or KB article 2129825 for details about how to get VMware Tools package for this guest operating system.

 

>

 

[root@esx-a:~] ls /usr/lib/vmware/isoimages/
ls: /usr/lib/vmware/isoimages/: No such file or directory

 

 

0 Kudos
ChristN
Contributor
Contributor

For me the vmware tools upgrade is working normally on the hosts that are running 7.0.1 16850804 (which is 7.0U1 excluding the latest patches ofcourse).

0 Kudos
ChristN
Contributor
Contributor

I just updated 1 of our servers using the latest ISO (VMware ESXi, 7.0.1, 17325551)

By booting the ISO the update did succeed, however using lifecycle manager it failed to update.

 

0 Kudos
sysadmin84
Enthusiast
Enthusiast

Was going to try that as well. Can you please report if you can now apply new updates on top of this new build via lifecycle manager.

0 Kudos
ChristN
Contributor
Contributor

I tried, but with the latest ISO there are no updates available so I'll have to wait till than

0 Kudos
ChristN
Contributor
Contributor

By now I can verfiy that for me the updates are working normally again.

I just installed the latest patches withouth any problems

0 Kudos
ChristN
Contributor
Contributor

For me I preffered to not do any manual settings.

I just booted with the latest dell iso and choose upgrade.
After that everything just works as expected and nobody is going to complain that way about manual changes (even if they are documented fixes).

sysadmin84
Enthusiast
Enthusiast

Turns out that the workaround did not fix it anyway, I just upgraded directly as well which fixed it. 👍

0 Kudos